# HG changeset patch
# User Daniel J Sebald <daniel.sebald@ieee.org>
# Date 1469893089 18000
#      Sat Jul 30 10:38:09 2016 -0500
# Node ID f7b70f3a8fc17e71d2a435716f8f6cf9326e5db4
# Parent  dfb49a84c0e4910d2ac4ecdc57f206d5729ca18c
For gnuplot toolkit patch case, broadcast single color values (bug #48626).

* __gnuplot_draw_axes__.m: For the case of a "patch" object, if the color
  value is only one-dimensional, broadcast its value to the same dimension
  as the z-coordinate vector rather than use the z values.

diff -r dfb49a84c0e4 -r f7b70f3a8fc1 scripts/plot/util/private/__gnuplot_draw_axes__.m
--- a/scripts/plot/util/private/__gnuplot_draw_axes__.m	Tue Aug 09 21:36:23 2016 +0100
+++ b/scripts/plot/util/private/__gnuplot_draw_axes__.m	Sat Jul 30 10:38:09 2016 -0500
@@ -803,7 +803,9 @@
                 if (isnan (ccdat))
                   ccdat = (rows (cmap) + rows (addedcmap) + 1) * ones(3, 1);
                   addedcmap = [addedcmap; reshape(color, 1, 3)];
-                elseif (numel (ccdat) <= 1)
+                elseif (numel (ccdat) == 1)
+                  ccdat = ccdat * ones (size (zcol));
+                elseif (numel (ccdat) < 1)
                   ccdat = zcol;
                 endif
                 data{data_3d_idx} = [data{data_3d_idx}, ...
